#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <math.h>


/* Full path to file containing model grid for ocean pole tide and ocean load pole tide
*/
#define  MODELFILE     "data/oceanpoletide_oceanandload_0.1deg.txt"

#define  PI            (4.0*atan(1.0))
#define  GMEARTH       398600.4415   /* km^3/s^2  */
#define  REARTH        6378.1366     /* km        */
#define  OMEGA0        7.292115e-5   /* rad/s     */
#define  K2_REAL       0.3077
#define  K2_IMAG       0.0036
#define  H2_REAL       0.6207
#define  H2_IMAG       0.0000
#define  K2_REALTP     0.302
#define  K2_IMAGTP     0.0000
#define  H2_REALTP     0.609 /* Using value applied to body tide */
#define  H2_IMAGTP     0.0000
#define  MAXCHAR       5000
#define  MAXLON        3600
#define  MAXLAT        1800
#define  MJD2000       51544.0       /* MJD for Jan 1, 2000 00:00:00 */
#define  NMEANPOLE     4

int altimpoletide(double poletide[3], double m12[2], double lon, double lat,
                  double tmjd, double xpole, double ypole, char modelfile[], 
                  char itidemodel, char imeanpole);
int computemeanpole(double *xmean, double *ymean, double tmjd, char imodel);
int readmodelfile(double map[MAXLON][MAXLAT][4], double *Lon0, double *Lat0,
                  double *Dlon, double *Dlat, int32_t *Nlon, int32_t *Nlat,
                  char modelfile[]);
